Table list includes recycling tables

2013-05-10 02:19 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: Data Provider/Oracle

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16687

Description

The table list provided when you connect to an Oracle connection includes Oracle recycling tables.

I.e., ones that start BIN$

Using build 1959182 on windows 7 64 bit.

Associated revisions

Revision 785114a5 - 2013-05-10 04:18 PM - Jürgen Fischer

oracle & postgres provider: show progress messages when scanning for available geometry columns

postgres provider: stop using pg column sizes (fixes #7799)

oracle provider: skip dropped tables (fixes #7795)

History

#1 - 2013-05-10 03:04 AM - Jonathan Moules

Note: These aren't listed when using various checkbox combinations (particularly the meta data ones), but they shouldn't really be listed when

no-checkboxes are selected either as the user can't do anything with them.

#2 - 2013-05-10 07:33 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"785114a52e667355990444f40518262ddae37ca5".

2024-04-27 1/1


